Arbor 3: FSM & BT Graph Editor 3.7.0

Public Member Functions | Properties | List of all members
CompositeBehaviour Class Reference

Class that defines the behavior of the composite. More...

Inheritance diagram for CompositeBehaviour:

## Public Member Functions
virtual int | GetBeginIndex ()
| Get the child node index to be executed at the start. More...
virtual int | GetNextIndex (int currentIndex)
| Get the child node index to be executed. More...
virtual int | GetInterruptIndex (TreeNodeBase node)
| Get the index of the interrupted node. More...
virtual bool | CanExecute (NodeStatus childStatus)
| It is judged whether it can be executed. More...
Public Member Functions inherited from NodeBehaviour
void | RebuildFields ()
| For internal. More...
DataSlotField | GetDataSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetDataSlotField (DataSlot slot, bool rebuild=false)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (DataSlot slot)
| Get DataSlotField. More...
void | RebuildDataSlotFields ()
| Rebuild the DataSlotField. More...
void | RebuildCalculatorSlotFields ()
| Rebuild the DataSlotField. More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| For Editor. More...
void | UpdateDataLink ()
| Manually update DataLink values. More...

## Properties
CompositeNode | compositeNode`[get]`
| Get the CompositeNode. More...
Properties inherited from TreeNodeBehaviour
BehaviourTreeInternal | behaviourTree`[get]`
| Gets the behaviour tree. More...
TreeNodeBase | treeNode`[get]`
| Get the TreeNodeBase. More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...
Node | node`[get]`
| Get the Node. More...
int | dataSlotFieldCount`[get]`
| Number of DataSlotField More...
int | calculatorSlotFieldCount`[get]`
| Number of DataSlotField More...

## Additional Inherited Members
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| For Editor. More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| For Editor. More...
static void | Destroy (NodeBehaviour behaviour)
| Destroy NodeBehaviour. More...
Public Attributes inherited from TreeNodeBehaviour
bool | expanded = true
| Expanded on ArborEditorWindow. More...
Protected Member Functions inherited from TreeNodeBehaviour
sealed override void | OnInitializeEnabled ()
| Called to perform enabled initialization. More...
virtual void | OnAwake ()
| This function is called when the own node becomes active for the first time. More...
virtual void | OnStart ()
| This function is called when the own node becomes active. More...
virtual void | OnAbort ()
| This function is called when the own node is aborted. More...
virtual void | OnEnd ()
| This function is called when the own node ends. More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnValidate ()
| See MonoBehaviour.OnValidate. More...
virtual void | OnCreated ()
| Raises the created event. More...
virtual void | OnPreDestroy ()
| Raises the pre destroy event. More...
virtual void | OnGraphPause ()
| This function is called when the graph is paused. More...
virtual void | OnGraphResume ()
| This function is called when the graph resumes. More...
virtual void | OnGraphStop ()
| This function is called when the graph stops. More...

## Detailed Description

Class that defines the behavior of the composite.

Inherited and to use.

## Member Function Documentation

## ◆ CanExecute()

virtual bool CanExecute | ( | NodeStatus | childStatus | ) |
| virtual

It is judged whether it can be executed.

Parameters

  childStatus | State of child node

Returns
  Returns true if it can be executed.

## ◆ GetBeginIndex()

virtual int GetBeginIndex | ( |  | ) |
| virtual

Get the child node index to be executed at the start.

Returns
  Index of child node

## ◆ GetInterruptIndex()

virtual int GetInterruptIndex | ( | TreeNodeBase | node | ) |
| virtual

Get the index of the interrupted node.

Parameters

  node | Interrupted node

Returns
  Index of child node

## ◆ GetNextIndex()

virtual int GetNextIndex | ( | int | currentIndex | ) |
| virtual

Get the child node index to be executed.

Parameters

  currentIndex | Current index

Returns
  Index of child node

## Property Documentation

## ◆ compositeNode

CompositeNode compositeNode
| get

Get the CompositeNode.